Verify email sending domain
Triggers verification of the DNS records with the email provider and returns the refreshed status. Safe to call repeatedly while DNS propagates.
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
organizationUuid | string | Yes |
Responses
200 — Ok
{
"results": {
"createdAt": "2024-01-01T00:00:00.000Z",
"lastCheckedAt": "2024-01-01T00:00:00.000Z",
"dnsRecords": [
{
"verified": true,
"value": "string",
"name": "string",
"type": "TXT",
"purpose": "dkim"
}
],
"isEnabled": true,
"isVerified": true,
"returnPathVerified": true,
"dkimVerified": true,
"status": "pending",
"fromName": "string",
"fromEmail": "string",
"domain": "string",
"organizationUuid": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}